Skip to main content

Geostatistics Task API

Version: 0.1.9
Preview

Declustering

POST
/compute/orgs/{org_id}/geostat/declustering

For more information, please read the guide

Request

Path parameters

The organisation identifier

Body parameters

Unweighted composites for declustering

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

Attribute to save the result

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name

Cell sizes for declustering

min_sizenumber
Required

Examples: 2.654, 2.98, 21.864, 42.192, 50.536

max_sizenumber
Required

Examples: 19.884, 22.044, 54.494, 58.927, 64.988

n_sizesinteger
Required

Examples: 0, 20, 54, 89, 97

y_anisotropynumber

Examples: 9.275, 15.548, 33.659, 34.025, 95.721

Default: 1
z_anisotropynumber

Examples: 9.672, 60.373, 72.973, 80.713, 84.749

Default: 1
n_offsetsinteger

Examples: 10, 15, 48, 68, 70

Default: 100
{
"source": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"target": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"cell_sizes": {
"min_size": 0,
"max_size": 0,
"n_sizes": 0,
"y_anisotropy": 1,
"z_anisotropy": 1,
"n_offsets": 100
}
}

Responses

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

Concise summary of the completed job

Modified geoscience object

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

object_referencestring

Examples: "example string", "another example"

object_elementGORefElement[] | null
{
"message": "string",
"object_modified": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
}
}

303

303 response, see Compute API Execute Task documentation for more details

What is the reason for your feedback?